summaryrefslogtreecommitdiffstats
path: root/pgcommon.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 12:08:38 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 12:08:38 +0000
commitd351686a4df1b61f40ada69e53c9522259ad6700 (patch)
tree0322b0d8e7e63c926188aa7b037070f3560ad8dd /pgcommon.sh
parentInitial commit. (diff)
downloadpostgresql-common-d351686a4df1b61f40ada69e53c9522259ad6700.tar.xz
postgresql-common-d351686a4df1b61f40ada69e53c9522259ad6700.zip
Adding upstream version 225+deb11u1.upstream/225+deb11u1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'pgcommon.sh')
-rw-r--r--pgcommon.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/pgcommon.sh b/pgcommon.sh
new file mode 100644
index 0000000..2b314a3
--- /dev/null
+++ b/pgcommon.sh
@@ -0,0 +1,60 @@
+# shell functions used in postgresql-common
+#
+# (C) 2014 Martin Pitt <mpitt@debian.org>
+# (C) 2014 Christoph Berg <myon@debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# set DISTRO and RELEASE
+get_release() {
+ # return if we were already called
+ [ "${DISTRO:-}" ] && [ "${RELEASE:-}" ] && return
+
+ # we have /etc/os-release, use it
+ if [ -r /etc/os-release ]; then
+ . /etc/os-release
+ DISTRO="${ID:-unknown}"
+ RELEASE="${VERSION_ID:-unstable}" # unstable doesn't have this field
+
+ # fall back to lsb_release
+ elif type lsb_release >/dev/null 2>/dev/null; then
+ DISTRO="`lsb_release -is | tr [:upper:] [:lower:]`"
+ RELEASE="`lsb_release -rs`"
+
+ else
+ echo "get_release: WARNING: /etc/os-release and lsb_release not present, unknown distribution" >&2
+ fi
+}
+
+# install locales
+# Arguments: locale charset [...]
+locale_gen ()
+{
+ get_release
+ case $DISTRO in
+ redhat|centos)
+ return 0 # not yet implemented
+ ;;
+ esac
+
+ local run
+ while [ "${2:-}" ]; do
+ if ! grep -q "^$1 $2\$" /etc/locale.gen; then
+ echo "$1 $2" >> /etc/locale.gen
+ run=1
+ fi
+ shift 2
+ done
+ [ "${run:-}" ] && locale-gen
+
+ return 0
+}
+